--- debathena-athinfod-9.4.0.orig/debian/athinfo.defs
+++ debathena-athinfod-9.4.0/debian/athinfo.defs
@@ -0,0 +1,37 @@
+# This file defines the queries understood by the athinfo daemon.
+# Blank lines and lines beginning with a '#' are ignored.  Each line
+# consists of a query name and a shell command to answer the query.
+# The shell command will not receive input and, for security reasons,
+# should not depend on a network filesystem.
+
+# Query		Command
+
+queries		cat /etc/athena/athinfo.defs
+uname		uname -a
+machtype	/bin/machtype
+sysname		/bin/machtype -S
+cputype		/bin/machtype -v -c
+display		/bin/machtype -v -d
+disks		/bin/machtype -v -r
+memory		/bin/machtype -v -M
+swap		swapon -s
+rc.conf		cat /etc/athena/rc.conf
+version		cat /etc/athena/version
+clusterinfo	test -r /var/athena/clusterinfo && cat /var/athena/clusterinfo 
+clusterinfo.bsh	test -r /var/athena/clusterinfo.bsh && cat /var/athena/clusterinfo.bsh 
+update.desync	test -r /var/athena/update.desync && cat /var/athena/update.desync
+services	test -r /var/server/.services && cat /var/server/.services
+update.log	. /etc/athena/rc.conf && test true = "$PUBLIC" && test -r /var/athena/update.log && cat /var/athena/update.log
+install.log	test -r /var/athena/install.log && cat /var/athena/install.log
+verify.log	test -r /var/athena/verify.log && cat /var/athena/verify.log
+date		date
+uptime		uptime
+partitions	fdisk -l
+df		df -k -t ext2 -t ext3
+interfaces	netstat -in
+routes		netstat -rn
+listeners	netstat -lnt
+login		test -f /etc/nologin; echo $?
+cpuspeed	grep MHz /proc/cpuinfo
+packages	dpkg-query -W
+modules  	lsmod
--- debathena-athinfod-9.4.0.orig/debian/control
+++ debathena-athinfod-9.4.0/debian/control
@@ -0,0 +1,17 @@
+Source: debathena-athinfod
+Section: net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf
+Standards-Version: 3.7.2
+
+Package: debathena-athinfod
+Architecture: any
+Provides: athinfod
+Conflicts: debathena-athena-files (<= 0.1.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: An Athena server to respond to athinfo requests
+ Respond to network queries for information about the workstation, such 
+ as its hardware type and configuration, its current software 
+ installation state, the number of users logged on, and various other 
+ informational state queries.
--- debathena-athinfod-9.4.0.orig/debian/compat
+++ debathena-athinfod-9.4.0/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-athinfod-9.4.0.orig/debian/control.in
+++ debathena-athinfod-9.4.0/debian/control.in
@@ -0,0 +1,17 @@
+Source: debathena-athinfod
+Section: net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@
+Standards-Version: 3.7.2
+
+Package: debathena-athinfod
+Architecture: any
+Provides: athinfod
+Conflicts: debathena-athena-files (<= 0.1.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: An Athena server to respond to athinfo requests
+ Respond to network queries for information about the workstation, such 
+ as its hardware type and configuration, its current software 
+ installation state, the number of users logged on, and various other 
+ informational state queries.
--- debathena-athinfod-9.4.0.orig/debian/copyright
+++ debathena-athinfod-9.4.0/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-athinfod-9.4.0.orig/debian/rules
+++ debathena-athinfod-9.4.0/debian/rules
@@ -0,0 +1,11 @@
+#!/usr/bin/make -f
+  
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += lsbindir=/sbin
+
+clean::
+	rm -f configure
--- debathena-athinfod-9.4.0.orig/debian/changelog
+++ debathena-athinfod-9.4.0/debian/changelog
@@ -0,0 +1,5 @@
+debathena-athinfod (9.4.0-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 00:33:35 -0500
--- debathena-athinfod-9.4.0.orig/debian/debathena-athinfod.install
+++ debathena-athinfod-9.4.0/debian/debathena-athinfod.install
@@ -0,0 +1 @@
+debian/athinfo.defs	/etc/athena
